%define perl_archlib %(eval "`perl -V:archlib`";  echo $archlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Name:		ekg2
Version:	0.3.1
Release:	%mkrel 8
Summary:	Multi-protocol instant messaging and chat client
License:	GPLv2
Group:		Networking/Instant messaging
URL:		http://www.ekg2.org
Source0:	http://pl.ekg2.org/%{name}-%{version}.tar.gz
BuildRequires:	docbook-style-xsl
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	gnutls-devel
BuildRequires:	gpgme-devel
BuildRequires:	gpm-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgadu-devel
BuildRequires:	gsm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	libtool
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	openssl-devel
BuildRequires:	perl(ExtUtils::Embed)
BuildRequires:	python-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:  perl-devel
BuildRequires:  xsltproc
BuildRequires:	cvs
BuildConflicts:	readline-devel
Requires:	%{name}-core = %{version}-%{release}
Requires:	%{name}-gadu-gadu = %{version}-%{release}
Requires:	%{name}-gpg = %{version}-%{release}
Requires:	%{name}-jabber = %{version}-%{release}

%description
Multi-protocol instant messaging and chat client with many plugins.
This is a meta package that installs ekg2 with popular plugins.


%package core
Group:		Networking/Instant messaging
Summary:	Multi-protocol instant messaging and chat client

%description core
Multi-protocol instant messaging and chat client with many plugins.


%package devel
Summary:	Development headers for ekg2
Group:		Development/C
Requires:	%{name}-core = %{version}-%{release}

%description devel
Development headers for ekg2.


%package gadu-gadu
Summary:	Gadu-gadu protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gadu-gadu
Gadu-gadu protocol plugin for ekg2.


%package gpg
Summary:	GPG plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gpg
GPG plugin for ekg2.


%package gtk2
Summary:	GTK2 UI plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description gtk2
GTK2 UI plugin for ekg2.


%package ioctld
Summary:	Keyboard LED control plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description ioctld
Keyboard LED control plugin for ekg2.


%package jabber
Summary:	Jabber protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description jabber
Jabber protocol plugin for ekg2.


%package logsqlite
Summary:	SQLite log plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description logsqlite
SQLite log plugin for ekg2.


%package -n perl-%{name}
Summary:	Perl scripting plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description -n perl-%{name}
Perl scripting plugin for ekg2.


%package python
Summary:	Python scripting plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description python
Python scripting plugin for ekg2.


%package voip
Summary:	GSM VoIP protocol plugin for ekg2
Group:		Networking/Instant messaging
Requires:	%{name}-core = %{version}-%{release}

%description voip
GSM VoIP protocol plugin for ekg2.


%prep
%setup -q
# convert docs to UTF-8
for file in \
	AUTHORS COPYING NEWS*  \
	docs/README docs/TODO \
	docs/events.txt docs/mouse.txt docs/sim.txt docs/themes{,-en}.txt \
	docs/voip.txt \
; do
iconv -f iso8859-2 -t utf8 -o $file.utf $file && mv $file.utf $file
done

sed -i "s/);/,\n\t'INSTALLDIRS' => 'vendor');/" plugins/perl/common/Makefile.PL
sed -i "s/);/,\n\t'INSTALLDIRS' => 'vendor');/" plugins/perl/irc/Makefile.PL

%build
touch README
touch ChangeLog

autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-shared \
	--disable-rpath \
	--enable-unicode \
	--with-libgadu \
	--with-libgsm \
	--with-python \
	--with-ncurses=%{_prefix}

%make

pushd docs/ekg2book
      %make
popd
pushd docs/ekg2book-en
      %make
popd

%install
%makeinstall_std

# for strip to work
find %{buildroot} -name "*.so" | xargs chmod 755
find %{buildroot} -name "*.py" | xargs chmod 755
find %{buildroot} -name "*.pl" | xargs chmod 755

mkdir -p %{buildroot}%{_libexecdir}/%{name}
mv %{buildroot}%{_libexecdir}/ioctld %{buildroot}%{_libexecdir}/%{name}/

cp -pr docs/ekg2book-en/book docs/ekg2book-en/book-en

rm %{buildroot}%{perl_archlib}/perllocal.pod
find %{buildroot}%{perl_vendorarch} -name .packlist -o -name "*.bs" | xargs rm

rm %{buildroot}%{_libdir}/%{name}/plugins/*.la

%find_lang %{name}

%files

%files core -f %{name}.lang
%doc AUTHORS COPYING NEWS* docs/README
%doc docs/events.txt docs/mouse.txt docs/sim.txt docs/themes.txt
%doc docs/ekg2book/book docs/ekg2book-en/book-en
%{_bindir}/%{name}
%dir %{_libexecdir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/autoresponder.so
%{_libdir}/%{name}/plugins/feed.so
%{_libdir}/%{name}/plugins/httprc_xajax.so
%{_libdir}/%{name}/plugins/icq.so
%{_libdir}/%{name}/plugins/irc.so
%{_libdir}/%{name}/plugins/jogger.so
%{_libdir}/%{name}/plugins/logs.so
%{_libdir}/%{name}/plugins/mail.so
%{_libdir}/%{name}/plugins/ncurses.so
%{_libdir}/%{name}/plugins/pcm.so
%{_libdir}/%{name}/plugins/polchat.so
%{_libdir}/%{name}/plugins/rc.so
%{_libdir}/%{name}/plugins/remote.so
%{_libdir}/%{name}/plugins/rivchat.so
%{_libdir}/%{name}/plugins/rot13.so
%{_libdir}/%{name}/plugins/sim.so
%{_libdir}/%{name}/plugins/sms.so
%{_libdir}/%{name}/plugins/xmsg.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/plugins/autoresponder
%{_datadir}/%{name}/plugins/httprc_xajax
%{_datadir}/%{name}/plugins/irc
%{_datadir}/%{name}/plugins/logs
%{_datadir}/%{name}/plugins/mail
%{_datadir}/%{name}/plugins/ncurses
%{_datadir}/%{name}/plugins/rc
%{_datadir}/%{name}/plugins/sim
%{_datadir}/%{name}/plugins/sms
%{_datadir}/%{name}/plugins/xmsg
%{_datadir}/%{name}/themes

%files devel
%doc docs/TODO

%files gadu-gadu
%{_libdir}/%{name}/plugins/gg.so
%{_datadir}/%{name}/plugins/gg

%files gtk2
%{_libdir}/%{name}/plugins/gtk.so

%files gpg
%{_libdir}/%{name}/plugins/gpg.so
%{_datadir}/%{name}/plugins/gpg

%files ioctld
%{_libexecdir}/%{name}/ioctld
%{_libdir}/%{name}/plugins/ioctld.so
%{_datadir}/%{name}/plugins/ioctld

%files jabber
%{_libdir}/%{name}/plugins/jabber.so
%{_datadir}/%{name}/plugins/jabber

%files logsqlite
%{_libdir}/%{name}/plugins/logsqlite.so
%{_datadir}/%{name}/plugins/logsqlite

%files -n perl-%{name}
%{_libdir}/%{name}/plugins/perl.so
%{_datadir}/%{name}/scripts/*.pl
%{perl_vendorarch}/Ekg2
%{perl_vendorarch}/Ekg2.pm
%{perl_vendorarch}/auto/Ekg2

%files python
%{_libdir}/%{name}/plugins/python.so
%{_datadir}/%{name}/scripts/*.py*
%{_datadir}/%{name}/plugins/python

%files voip
%{_libdir}/%{name}/plugins/gsm.so


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.3.1-8.mga3
+ Revision: 349588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.3.1-7.mga3
+ Revision: 324463
- cleaning

  + fwang <fwang>
    - use configure2_5x

* Sun Jul 15 2012 fwang <fwang> 0.3.1-6.mga3
+ Revision: 270902
- build with automake

* Wed May 30 2012 kamil <kamil> 0.3.1-5.mga3
+ Revision: 251727
- rebuild against perl 5.16

* Fri Apr 06 2012 pterjan <pterjan> 0.3.1-4.mga2
+ Revision: 228823
- Remove fedora specific perl(:MODULE_COMPAT_$version) dependency

* Tue Apr 03 2012 kamil <kamil> 0.3.1-3.mga2
+ Revision: 228158
- adapt .spec for Mageia
- imported package ekg2

